gnupg_init
gnupg_setarmor
GnuPG Functions
PHP Manual

# gnupg_keyinfo

(PECL gnupg >= 0.1)

gnupg_keyinfo — Returns an array with information about all keys that matches the given pattern

### Description

array gnupg_keyinfo ( resource `$identifier` , string `$pattern` )

### Parameters

`identifier`

  The gnupg identifier, from a call to gnupg_init() or gnupg.

`pattern`

  The pattern being checked against the keys.

### Return Values

Returns an array with information about all keys that matches the given pattern or `FALSE`, if an error has occurred.

### Examples

Example #1 Procedural gnupg_keyinfo() example

`<?php
$res = gnupg_init();
$info = gnupg_keyinfo($res, 'test');
print_r($info);
?>`

Example #2 OO gnupg_keyinfo() example

`<?php
$gpg = new gnupg();
$info = $gpg -> keyinfo("test");
print_r($info);
?>`

gnupg_init
gnupg_setarmor
GnuPG Functions
PHP Manual